libopendbx (1.4.6-16build1) mantic; urgency=medium

  * No-change rebuild against libodbc2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2023 17:56:51 +0000

libopendbx (1.4.6-16) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC-11 (Closes: #984196):
    - Build with -std=c++11 in CXXFLAGS.
  * Adjust symbols in libopendbx1.symbols according to dpkg-gensymbols output.
  * Bump Standards-Version to 4.6.0 without further changes.

 -- David Bürgin <dbuergin@gluet.ch>  Sun, 17 Oct 2021 10:39:05 +0200

libopendbx (1.4.6-15) unstable; urgency=high

  * QA upload.
  * Drop obsolete libopendbx1-sqlite binary package (Closes: #972126).
  * Add newly detected symbols to libopendbx1.symbols and tag as optional.
  * Bump Standards-Version to 4.5.1 without further changes.

 -- David Bürgin <dbuergin@gluet.ch>  Fri, 20 Nov 2020 19:03:53 +0100

libopendbx (1.4.6-14) unstable; urgency=medium

  [ David Bürgin ]
  * QA upload.
  * Remove unused build dependencies on dh-autoreconf and autotools-dev.
  * Empty out broken debian/watch file (upstream is no longer developed).
  * Bump Standards-Version to 4.5.0 without further changes.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.3.11-1, 1.3.4-1, 1.3.3-1,
    1.3.2-1, 1.1.3-1, 1.1.2-1, 1.1.0-1, 0.9.4-1, 0.9.1-1, 0.9.0-1,
    0.9-1, 0.8-1.

 -- David Bürgin <dbuergin@gluet.ch>  Sat, 07 Mar 2020 21:09:31 +0100

libopendbx (1.4.6-13) unstable; urgency=medium

  [ Scott Kitterman ]
  * Orphan the package, see #916331
    - Set maintainer to Debian QA Group
    - Remove Marc Haber and myself from uploaders
  * Update symbols from build logs

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

 -- Scott Kitterman <scott@kitterman.com>  Thu, 13 Dec 2018 18:57:48 -0500

libopendbx (1.4.6-12) unstable; urgency=medium

  * Update maintainer address due to demise of alioth (Closes: #899584)
  * Update Vcs-* for move to salsa
  * Bump standards-version to 4.1.4 without further change
  * Delete incorrect built-using field for libopendbx-doc
  * Mark libopendbx-doc Multi-Arch: foreign
  * Install pkg-config file in cross-compilation friendly location

 -- Scott Kitterman <scott@kitterman.com>  Mon, 04 Jun 2018 13:15:38 -0400

libopendbx (1.4.6-11) unstable; urgency=medium

  * Wrap and sort
  * Build depend on firebird-dev instead of firebird2.5-dev (Closes: #841469)
  * Build depend on default-libmysqlclient-dev insted of libmysqlclient-dev

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Oct 2016 22:13:04 -0400

libopendbx (1.4.6-10) unstable; urgency=medium

  * Update debian/rules to allow for arch and indep only builds to succeed
    (Closes: #806060)
  * Bump standards version to 3.9.8 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Jul 2016 17:26:46 -0400

libopendbx (1.4.6-9) unstable; urgency=medium

  * Update libopendbx1.symbols for g++5 transition (Closes: #777962)
    - Symbols are lost/gained for the C++ portion of the library, but nothing
      in Debian uses them, so not bumping library name
  * Add rm of additional build artifacts (doc/doxygen_sqlite3.db and
    utils/doc/odbx-sql.1) to clean rule so package builds twice in a row
  * Update mechanism in debian/rules for adding dpkg-gensymbols from pkg-kde-
    tools to the path
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Aug 2015 15:46:14 -0400

libopendbx (1.4.6-8) unstable; urgency=medium

  * Switch to source format 3.0 (quilt) since patches stopped being applied on
    the buildds for some reason
    - Update debian/rules
    - Remove quilt portions of debian/README.Source
    - Update build-depends

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Sep 2014 14:30:20 -0400

libopendbx (1.4.6-7) unstable; urgency=medium

  * Fix FTBFS due to incompatible change in doxygen 1.8.8 (Closes: #759951)
    - Add symlink from lib/opendbx/api to lib/opendbx/api.dox in debian/rules
      so the correct FileParser is used without having to rewrite the opendbx
      makefiles to work with a new filename.
    - Remove the symlink in clean
    - Add debian/patches/inputname.diff to change the INPUT file name in doc/
      Doxyfile.in to use api.dox and upgrade using doxygen -u

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Sep 2014 12:41:45 -0400

libopendbx (1.4.6-6) unstable; urgency=medium

  [ Xilin Sun ]
  * Update libopenbx1.symbols to fix ftbfs with GCC-4.9 (Closes: #746868)

  [ Scott Kitterman ]
  * Add mips64 mips64el specific symbols changes (Closes: #746267)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Jun 2014 00:17:03 -0400

libopendbx (1.4.6-5) unstable; urgency=medium

  * Confirm symbols on all archs
  * Capture unforwarded change from Ubuntu to use dh-autoreconf
  * Update for symbols on Debian and Ubuntu ports (alpha, arm64, ppc64,
    ppc64el, and sparc64)
  * Update standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Mar 2014 17:00:14 -0400

libopendbx (1.4.6-4) unstable; urgency=low

  * Switch maintainer address to alioth list (pkg-libopendbx-maintainers) now
    that it is set up
  * Update Vcs-* now that it's set up on alioth (Closes: #702244)
  * Update debian/libopendbx1.symbols to match GCC 4.8 (Closes: #701306)
  * Adjust debian/rules to use pkgkde-gensymbols for more consistent C++
    symbols

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jul 2013 21:22:17 -0400

libopendbx (1.4.6-3) unstable; urgency=low

  * Reorganize rules to avoid build-stamp in binary
  * Update symbols files again based on logs from amd64, ia64, kfreebsd-amd64,
    mips, mipsel, powerpc, s390, s390x, and sparc
  * Change libopendbx1 Depends on libopendbx1-sqlite3 | libopendbx1-backend to
    Recommends to break dependency loop (Closes: #693713)
  * Add debian/patches/odbxtest_exit_1_on_error.diff so that test failures
    will also cause the build to fail
  * Fix debian/odbxtest.site path so tests run correctly
  * Update clean rule to correctly remove the test database

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Nov 2012 10:20:39 -0500

libopendbx (1.4.6-2) unstable; urgency=low

  * Upload to unstable
  * Set opendbx@kitterman.com as maintainer address
  * Move myself to Uploaders
  * Add Marc Haber to Uploaders
  * Add Vcs-* fields to debian/control
  * Fix install locations for opendbx-utils test scripts
  * Update symbols files from build logs on amd64, ia64, kfreebsd-amd64, mips,
    powerpc, s390, s390x, and sparc
  * Use modified gensymbols from pkg-kde-tools for better management of C++
    symbols (added to build-depends and updated symbols file)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Nov 2012 20:12:24 -0500

libopendbx (1.4.6-1) experimental; urgency=low

  [ Norbert Sendetzky ]
  * New upstream version (stable version)
  * Fixed build requirements for Ubuntu

  [ Scott Kitterman ]
  * Initial upload to Debian (Closes:  #648702)
  * Add quilt as a patch system to capture debian specific changes
  * Add new opendbx-doc package for OpenDBX HTML documentation
  * Include odbxtest, odbxplustest, and odbxtest.sh in opendbx-utils to
    support testing during package build
    - Add opendbx-utils.install and change debian/rules to use it
  * Use debhelper > 9 and compat 9
  * Add misc:Depends to all binaries
  * Remove duplicate section/priority fields in binary sections
  * Add Homepage field
  * Bump standards version to 3.9.4
  * Update debian/copyright
  * Add local copy of http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd
    to debian dir for documentation building without internet access and patch
    xml source documentation to build using the local dtd
  * Update debian/rules to also add symlink for docs for opendbx-utils to
    libopendbx1's doc directory
  * Update debian/rules to used dpkg-buildflags
  * Update debian/rules not to ignore errors on make clean
  * Add build-arch and build-indep targets to debian/rules
  * Modify debian/rules so .la files aren't shipped
  * Change the libopendbx1 Depends on libopendbx1-backend to be
    libopendbx1-sqlite3 | libopendbx1-backend so a real package is always
    specified
  * Add debian/libopendbx.symbols
  * Updated package descriptions
  * Update debian/watch (although it still doesn't work)
  * Use dh_prep instead of dh_clean -k

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Nov 2012 22:04:14 -0400

libopendbx (1.4.5-1) unstable; urgency=medium

  * New upstream version (stable version)
  * Fixed build requirements
  * Changed debhelper compatibility level to 7

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Fri, 25 Dec 2009 00:00:00 +0100

libopendbx (1.4.4-1) unstable; urgency=medium

  * New upstream version (stable version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Fri, 07 Aug 2009 00:00:00 +0100

libopendbx (1.4.3-1) unstable; urgency=medium

  * New upstream version (stable version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Fri, 07 Aug 2009 00:00:00 +0100

libopendbx (1.4.2-1) unstable; urgency=medium

  * New upstream version (stable version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Fri, 07 Aug 2009 00:00:00 +0100

libopendbx (1.4.1-1) unstable; urgency=medium

  * New upstream version (stable version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Tue, 02 Jun 2009 00:00:00 +0100

libopendbx (1.4.0-1) unstable; urgency=medium

  * New upstream version (stable version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Mon, 02 Mar 2009 00:00:00 +0100

libopendbx (1.3.11-1) unstable; urgency=low

  * New upstream version (development version)
  * removed --enable-utils as building the utils is now enabled by default

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sun, 15 Jun 2008 00:00:00 +0100

libopendbx (1.3.10-1) unstable; urgency=low

  * New upstream version (development version)
  * Added odbx-sql man page to opendbx-utils package
  * Moved odbx_*.3 man pages to libopendbx-dev package

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Fri, 30 May 2008 00:00:00 +0100

libopendbx (1.3.9-1) unstable; urgency=low

  * New upstream version (development version)
  * Added keywords file for odbx-sql

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Wed, 21 May 2008 00:00:00 +0100

libopendbx (1.3.8-1) unstable; urgency=low

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Thu,  17 Apr 2008 00:00:00 +0100

libopendbx (1.3.7-1) unstable; urgency=low

  * New upstream version (development version)
  * Added dependencies for odbx-sql
  * Added translation for odbx-sql

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Thu,  20 Mar 2008 00:00:00 +0100

libopendbx (1.3.6-1) unstable; urgency=low

  * New upstream version (development version)
  * Added opendbx-utils package

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  09 Feb 2008 00:00:00 +0100

libopendbx (1.3.5-1) unstable; urgency=low

  * New upstream version (development version)
  * Adapted Build-Depends to work with all MySQL and Firebird development packages
  * Replaced ${Source-Version} by ${binary:Version}
  * Update to Debian policy 3.7.3.0

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  02 Feb 2008 00:00:00 +0100

libopendbx (1.3.4-1) unstable; urgency=low

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sun, 08 Jul 2007 00:00:00 +0100

libopendbx (1.3.3-1) unstable; urgency=low

  * New upstream version (development version)
  * Added libopendbxplus to package
  * Added appropriate C++ flags to rules file
  * Added C++ header file to package
  * New locations for include files

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Tue, 08 May 2007 00:00:00 +0100

libopendbx (1.3.2-1) unstable; urgency=low

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Mon, 07 May 2007 00:00:00 +0100

libopendbx (1.3.1-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  17 Mar 2007 00:00:00 +0100

libopendbx (1.3.0-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  17 Feb 2007 00:00:00 +0100

libopendbx (1.2.0-1) unstable; urgency=medium

  * New upstream version (stable version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Thu,  28 Dec 2006 00:00:00 +0200

libopendbx (1.1.9-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sun,  10 Dec 2006 00:00:00 +0200

libopendbx (1.1.8-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  21 Oct 2006 00:00:00 +0200

libopendbx (1.1.7-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Wed,  04 Oct 2006 00:00:00 +0200

libopendbx (1.1.6-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sun,  10 Sep 2006 00:00:00 +0200

libopendbx (1.1.5-1) unstable; urgency=medium

  * New upstream version (development version)
  * Renamed freetds to mssql
  * Preserve configure flags

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sun,  27 Aug 2006 00:00:00 +0200

libopendbx (1.1.4-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  12 Aug 2006 00:00:00 +0200

libopendbx (1.1.3-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat, 08 Jul 2006 00:00:00 +0200

libopendbx (1.1.2-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Tue, 04 Jul 2006 00:00:00 +0200

libopendbx (1.1.1-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  10 Jun 2006 00:00:00 +0200

libopendbx (1.1.0-1) unstable; urgency=medium

  * New upstream version (development version)

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Tue, 28 Mar 2006 00:00:00 +0200

libopendbx (0.9.8-1) unstable; urgency=medium

  * New upstream version

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  25 Mar 2006 00:00:00 +0200

libopendbx (0.9.7-1) unstable; urgency=medium

  * New upstream version
  * Added gettext files

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sun,  26 Feb 2006 00:00:00 +0200

libopendbx (0.9.6-1) unstable; urgency=medium

  * New upstream version

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Mon,  17 Oct 2005 00:00:00 +0200

libopendbx (0.9.5-1) unstable; urgency=medium

  * New upstream version

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat,  1 Oct 2005 00:00:00 +0200

libopendbx (0.9.4-1) unstable; urgency=medium

  * New upstream version

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat, 10 Sep 2005 00:00:00 +0200

libopendbx (0.9.3-1) unstable; urgency=medium

  * New upstream version
  * Repackaged opendbx to libopendbx
  * Fixed package dependencies
  * Rewritten debian/rules file
  * Added missing files to comply with debian policy
  * Packages are now lintian and linda clean

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Mon,  8 Aug 2005 00:00:00 +0200

opendbx (0.9.2-1) unstable; urgency=medium

  * Added SQLite3 backend

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Mon, 18 Jul 2005 00:00:00 +0100

opendbx (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Tue, 03 Aug 2004 00:00:00 +0100

opendbx (0.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Tue, 03 Aug 2004 00:00:00 +0100

opendbx (0.9-1) unstable; urgency=low

  * Added SQLite backend

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Sat, 10 Apr 2004 00:00:00 +0100

opendbx (0.8-1) unstable; urgency=low

  * Initial packaging

 -- Norbert Sendetzky <norbert@linuxnetworks.de>  Tue, 30 Mar 2004 00:00:00 +0100
